# System Installation
## Minimum configuration and recommended configuration

| Version Form | Minimum Memory | Recommended Memory  | Minimum Disk Space | Recommended Disk Space |
|------|------|-------|--------|--------|
| Desktop System | 2GB  | Greater Than 4GB | 50GB   | Greater Than 80GB |

Table 1 Minimum configuration and recommended configuration

<br>

## Platform Differences

Platform of Hisilicon: The default is to use direct installation mode, without trial installation. The default is to use OOBE mode. There is no step of Choose your app.

## Installation Preparation

1)Prepare the required components

Installation CD/U-disk, "Kylin Desktop Operating System V11 Installation Manual"

2)Check hardware compatibility

The Kylin desktop operating system has good hardware compatibility and is compatible with most hardware produced in recent years. Due to frequent changes in hardware technical specifications, it may be difficult to ensure that the system is 100% compatible with hardware.

3)Back up data

Please backup the important data to other storage devices before installing system.

4)Hard disk partition

A hard disk can be divided into multiple partitions and they are independent of each other. So accessing different partition is like accessing different hard disk.
A hard disk can have up to four primary partitions. If you want to have more than four partitions on a hard disk, you need to set the Partition type to logical partition.

## Install Steps

1)Hard disk partition

Insert the installation CD into the optical drive and restart the machine. Press the corresponding shortcut key to enter the firmware management interface according to the prompt during firmware startup. If using a built-in optical drive, select "Optical Drive" for the "First Boot Option"; If using a USB or USB external optical drive, select "USB" for the "First Boot Option". This system supports experience mode and can try a fully functional operating system without installing it.

2)System installation

If you choose "Try Kylin-Desktop V11-SP1 without installing", you will enter the trial interface, as shown in the following figure:

![Fig 1 Try the Kylin desktop operating system](image/1.png)

Double click the installation icon on the desktop, then irectly enter the installation boot interface, select the system language, and click "Next":

![Fig 2 Language select](image/2.png)

Read the license agreement, check 'I have read and agree to the terms of the agreement', and click 'Next':

![Fig 3 License agreement](image/3.png)

Select the system time zone, which defaults to the Beijing time zone. You can select the city to switch time zone from the drop-down list, or click on the city in the map to switch time zone and click "Next":

![Fig 4 Time zone select](image/4.png)

Enter the installation path selection interface. Choose "Install from live"，click "Next":

![Fig 5 Install from live](image/5.png)

Choose the installation method for the system. If you choose "Full install", the entire hard drive will be installed in the selected drive letter, formatted, and automatically partitioned，Please refer to<u>Part 5</u>; If you choose "Custom install", partition creation and partition size allocation can be carried out according to actual needs，please refer to<u>Part 6</u>.

## Full install
Select the 'Full install' option and select the disk to be installed:

![Fig 6 Full install](image/6.png)

If 'Factory backup' is checked, the factory status of the computer will be automatically backed up, and the backup files will be stored in the automatically created backup partition;

If 'lvm' is checked, logical volume management will be performed on the disk;

If the "save history data" option appears and "Keep User Data" is checked, the data on the system data disk (data partition) will be retained;

If "Full disk encryption" is checked, the Disk encryption password needs to be set, and then click "Next";

![Fig 7 Full disk encryption](image/7.png)

The system automatically partition the disk and displays the partitions. After confirming the installation drive letter, select 'Formatted the whole disk', and click 'Next';

![Fig 8 Confirm Full Installation](image/8.png)

## Custom install
Custom installation can design the size of each partition. The Disk partitioning interface appears after selecting "Custom install" in the Choose Instalation Method interface.

![Fig 9 Custom install](image/9.png)

If you need to clear the existing partitions, click "Create partition table", and select "OK" in the pop-up prompt window. If there is no need to clear it, edit, add, or delete it directly on the original partition table.

![Fig 10 Create partition table](image/10.png)

Select the line of "freespace" and click "+" to create a partition:

Firstly, create a boot partition, where /boot must be the first partition in the primary partitions; continue to create the root partition (/), backup, and tmp partitions, and select whether to create the efi partition according to the installation boot prompt. When creating a new partition, select 'Primary' for 'Type of new partition', 'Location for the new partition' defaults to 'Beginning of this space', and 'Used to' selects' ext4 ':

![Fig 11 Create Partition](image/11.png)

If you need to change the created partition midway, the specific operation method is as follows:

a)Add Partition: Select the line of "freespace" and click "+" to create a partition;

b)Modify partition: Select the created partition and click the symbol pen button on the right；

c)Delete a partition: Select the created partition and click the "-" button;

d)Revert partition：click the "Revert" button;

After completing the custom install, as shown in the following figure, click "Next" button:

![Fig 12 Custom install completed](image/12.png)

After confirming the installation drive letter, select 'Confirm the above operations', and click 'Next';

![Fig 13 Confirm Custom Installation](image/13.png)

After the custom partition is completed, click "Next". 

## Register account

If you need to **create an account now**, you can choose "Register immediately", then enter the username, and the system will automatically fill in the recommended host name. You can make modifications to these contents. Set the login password and enter it again to confirm. Check "Automatic login on boot" to set that there is no need to enter a password when logging in to the system upon startup. After setting up, click 'Start Installation';

![Fig 14 Register account](image/14.png)

![Fig 15 Create User](image/15.png)

During the system installation process, real-time installation logs can be viewed, as shown in the following figure:

![Fig 16 System installation interface](image/16.png)

![Fig 17 System Installation Log](image/17.png)

After installation, the interface is shown in the following figure. Click the 'Restart' button to restart the system.

![Fig 18 System installation completed](image/18.png)

During the restart process, the system will automatically eject the optical drive or prompt "Please remove the installation media and press the ENTER".

![Fig 19 Prompt interface for removing installation media](image/19.png)

Follow the prompt, after taking out the optical drive or USB flash drive, press "ENTER" (Enter key), wait for the file system to be scanned, and then proceed to the system interface. 
